getTraceW <- structure(function(
### This function assess the (p-1) within-cluster dispersion measures for a given N x p genotype matrix X. If X is not provided, it is randomly sampled from c(1,2,3).
                                N,
### integer; number of individuals.
                                p,
### integer; number of predictors.
                                X=NULL,
### An optional N x p matrix of genotypes coded as 1, 2 or 3. The variables to be clustered should be in columns.
                                ...) {
### Further arguments to be passed to \code{\link{cWard}}.
  if (is.null(X)) {
    X <- replicate(p, sample(c(1,2,3), N, replace=TRUE), simplify=TRUE)
  } else {
    stopifnot(nrow(X)==N)
    stopifnot(ncol(X)==p)
  }
  ##value<< A vector of the (p-1) within-cluster measures.
  W <- cWard(X, ...)$traceW[, 2]
}, ex=function(){
  set.seed(5)
  N <- 100
  p <- 100
  trW <- getTraceW(N,p)
  plot(trW, t='l')
})

############################################################################
## HISTORY:
## 2014-07-16
## o Created.
############################################################################

