## t: threshold for ncol(X) --> sapply too slow if p>t
.selectUniv <- function(p.values, grille, t=10000){
  p <- length(p.values)
  nlambda <- length(grille)
  if (p>t){
    var.sel <- matrix(0, ncol=p, nrow=nlambda)
    for (ii in 1:nlambda){
    var.sel[ii,] <- p.values<=grille[ii]
    }
  } else {
    var.sel <- t(sapply(grille, FUN=function(alpha) {
      p.values<=alpha
    }, simplify="array"))
  }
  return(var.sel)
}

.lmModif <- function(x, phen, vect=NULL){
  if (is.null(vect)){
    p.value <- summary (lm(phen ~ x))$coefficients[2,4]
  } else {
    p.value <- summary (lm(phen ~ x + vect))$coefficients[2,4]
  }
  return(p.value)
}

