## difference in CPU time between v1 and v2 of "cWard"
set.seed(0.2)
N <- 100
p <- 1000
Y <- matrix(ceiling(runif(N*p)*3), N, p)
cW <- cWard(Y, trace.time=TRUE)
t <- attr(cW, "time")
cWv1 <- cWard(Y, h=50, sim=simR2, trace.time=TRUE)  
t1 <- attr(cWv1, "time")
cWv2 <- cWard(Y, h=50, sim=simR2, trace.time=TRUE)
t2 <- attr(cWv2, "time")
par(mfrow=c(1,1))
plot(NA, xlim=c(1, p-1), ylim=c(0, 3), ylab="CPU time (s)", xlab="clustering step")
points(t, col=1, t="l", lty=1)   ## all the LD measures are calculated if h=+Inf !
points(t1, col=2, t="l", lty=2)
points(t2, col=3, t="l", lty=3)

legend("bottomright", c("h=+Inf", "v1", "v2"), col=1:3, lty=1:3)  ## v2 is faster than v1 when h<p
