\name{coordROC}
\alias{coordROC}
\title{ROC coordinates}
\description{Returns the ROC coordinates (FPR, TPR) of a classifier relatively to a reference one.}
\usage{coordROC(betaHat, beta)}
\arguments{
  \item{betaHat}{numeric vector; the input classifier.}
  \item{beta}{numeric vector; the reference classifier with the same length as the input classifier.}
}

\value{A vector with the ROC coordinates
\item{FPR}{false positive rate (1-specificity)}
\item{TPR}{true positive rate (sensitivity)
}}

\author{Alia Dehman, Christophe Ambroise and Pierre Neuvial}




\examples{
set.seed(5)
ref <- sample(c(0,1), 30, replace=TRUE)
ref
coordROC(rep(0, 30), ref)
coordROC(rep(1, 30), ref)
c <- sample(c(0,1), 30, replace=TRUE)
c
coordROC(c, ref)
}
