\name{getTraceW}
\alias{getTraceW}
\title{getTraceW}
\description{This function assess the (p-1) within-cluster dispersion measures for a given N x p genotype matrix X. If X is not provided, it is randomly sampled from c(1,2,3).}
\usage{getTraceW(N, p, X = NULL, ...)}
\arguments{
  \item{N}{integer; number of individuals.}
  \item{p}{integer; number of predictors.}
  \item{X}{An optional N x p matrix of genotypes coded as 1, 2 or 3. The variables to be clustered should be in columns.}
  \item{\dots}{
}
}

\value{A vector of the (p-1) within-cluster measures.}

\author{Alia Dehman, Christophe Ambroise and Pierre Neuvial}




\examples{
set.seed(5)
N <- 100
p <- 100
trW <- getTraceW(N,p)
plot(trW, t='l')
}
